Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyType

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isPrimitive()`
    `` | `String` | `qualifiedTypeName()` The qualified name of this type excluding any dimension information.
    `` | `String` | `simpleTypeName()` The unqualified name of this type excluding any dimension or nesting information.
    `` | `String` | `toString()` The qualified name including any dimension information.
    `` | `String` | `typeName()` The unqualified name of this type excluding any dimension information.

- - ### Method Detail

    - #### public boolean isPrimitive()

    - #### public String qualifiedTypeName()

      The qualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`java.lang.String`".

    - #### public String simpleTypeName()

      The unqualified name of this type excluding any dimension or nesting information. For example, the class `Outer.Inner` returns "`Inner`".

    - #### public String toString()

      The qualified name including any dimension information. For example, a two dimensional array of String returns "`java.lang.String[][]`", and the parameterized type `List<Integer>` returns "`java.util.List<java.lang.Integer>`".

    - #### public String typeName()

      The unqualified name of this type excluding any dimension information. For example, a two dimensional array of String returns "`String`".